//Copyright 2013 Annabooks LLC. All Rights Reserved

package guitest1;

import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JLabel;
import java.awt.Font;
import javax.swing.SwingConstants;
import javax.swing.JButton;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import javax.swing.JTextField;

public class GUITest1 {

	private JFrame frame;
	private JTextField textOutput;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					GUITest1 window = new GUITest1();
					window.frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the application.
	 */
	public GUITest1() {
		initialize();
	}

	/**
	 * Initialize the contents of the frame.
	 */
	private void initialize() {
		frame = new JFrame();
		frame.setBounds(100, 100, 450, 300);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.getContentPane().setLayout(null);
		
		textOutput = new JTextField();
		textOutput.setHorizontalAlignment(SwingConstants.CENTER);
		textOutput.setFont(new Font("Tahoma", Font.BOLD, 15));
		textOutput.setBounds(46, 43, 326, 48);
		frame.getContentPane().add(textOutput);
		textOutput.setColumns(10);
		
		JButton btnHello = new JButton("Click on Me!");
		btnHello.addMouseListener(new MouseAdapter() {
			@Override
			public void mouseClicked(MouseEvent e) {
				textOutput.setText("Hello World!");
			}
		});
		btnHello.setFont(new Font("Tahoma", Font.BOLD, 15));
		btnHello.setBounds(112, 148, 204, 36);
		frame.getContentPane().add(btnHello);
	}
}
